public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/qtav/, media-libs/qtav/files/
Date: Sun, 26 Jan 2020 17:15:43 +0000 (UTC)	[thread overview]
Message-ID: <1580058930.d5c3e79fc73d87d3adcb0f0b15cba9e4f09c89d8.johu@gentoo> (raw)

commit:     d5c3e79fc73d87d3adcb0f0b15cba9e4f09c89d8
Author:     David Haller <gentoo <AT> dhaller <DOT> de>
AuthorDate: Sun Jan 26 17:14:12 2020 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sun Jan 26 17:15:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5c3e79f

media-libs/qtav: fix installed files

Closes: https://bugs.gentoo.org/705326
Reported-by: David Haller <gentoo <AT> dhaller.de>
Package-Manager: Portage-2.3.85, Repoman-2.3.20
Signed-off-by: Johannes Huber <johu <AT> gentoo.org>

 .../qtav/files/qtav-1.12.0-installpaths.patch      | 17 +++++
 media-libs/qtav/qtav-1.12.0-r2.ebuild              | 72 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/media-libs/qtav/files/qtav-1.12.0-installpaths.patch b/media-libs/qtav/files/qtav-1.12.0-installpaths.patch
new file mode 100644
index 00000000000..7d491931d05
--- /dev/null
+++ b/media-libs/qtav/files/qtav-1.12.0-installpaths.patch
@@ -0,0 +1,17 @@
+diff -ub -purN a/CMakeLists.txt b/CMakeLists.txt
+--- a/CMakeLists.txt	2017-06-21 03:47:15.000000000 +0200
++++ b/CMakeLists.txt	2020-01-12 02:51:41.692331365 +0100
+@@ -65,10 +65,10 @@ set(CMAKE_INCLUDE_CURRENT_DIR ON) # for
+ # Instruct CMake to run moc automatically when needed.
+ set(CMAKE_AUTOMOC ON)
+ if(NOT CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+-  set(QTAV_INSTALL_HEADERS ${CMAKE_INSTALL_PREFIX}/include)
+-  set(QTAV_INSTALL_LIBS ${CMAKE_INSTALL_PREFIX}/lib)
++  set(QTAV_INSTALL_HEADERS ${QT_INSTALL_HEADERS})
++  set(QTAV_INSTALL_LIBS ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
+   set(QTAV_INSTALL_BINS ${CMAKE_INSTALL_PREFIX}/bin)
+-  set(QTAV_INSTALL_QML ${CMAKE_INSTALL_PREFIX}/qml)
++  set(QTAV_INSTALL_QML ${QT_INSTALL_QML})
+ else()
+   set(CMAKE_INSTALL_PREFIX ${QT_INSTALL_PREFIX} CACHE PATH "default install path" FORCE)
+   set(QTAV_INSTALL_HEADERS ${QT_INSTALL_HEADERS})

diff --git a/media-libs/qtav/qtav-1.12.0-r2.ebuild b/media-libs/qtav/qtav-1.12.0-r2.ebuild
new file mode 100644
index 00000000000..8480fcb56a0
--- /dev/null
+++ b/media-libs/qtav/qtav-1.12.0-r2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="QtAV"
+CAPI_HASH="b43aa93"
+inherit cmake qmake-utils
+
+DESCRIPTION="Multimedia playback framework based on Qt + FFmpeg"
+HOMEPAGE="https://www.qtav.org"
+SRC_URI="https://github.com/wang-bin/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+https://dev.gentoo.org/~johu/distfiles/${P}-capi.h-${CAPI_HASH}.xz"
+
+LICENSE="GPL-3+ LGPL-2.1+"
+SLOT="0/1"
+KEYWORDS="~amd64"
+IUSE="gui libav opengl portaudio pulseaudio vaapi"
+REQUIRED_USE="gui? ( opengl )"
+
+DEPEND="
+	dev-qt/qtcore:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	gui? ( dev-qt/qtsql:5 )
+	libav? (
+		media-video/libav:=
+		x11-libs/libX11
+	)
+	!libav? ( media-video/ffmpeg:= )
+	opengl? ( dev-qt/qtopengl:5 )
+	portaudio? ( media-libs/portaudio )
+	pulseaudio? ( media-sound/pulseaudio )
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+PATCHES=(
+	"${FILESDIR}"/${P}-installpaths.patch
+	"${FILESDIR}"/${P}-ffmpeg4-{1,2}.patch # bugs 660852, 670765
+	"${FILESDIR}"/${P}-qt5.14.patch
+)
+
+src_prepare() {
+	cmake_src_prepare
+	cp "${WORKDIR}/${P}-capi.h-${CAPI_HASH}" contrib/capi/capi.h \
+		|| die "Failed to add missing header"
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_TESTS=OFF
+		-DBUILD_EXAMPLES=OFF
+		-DBUILD_PLAYERS=$(usex gui)
+		-DBUILD_QT5OPENGL=$(usex opengl)
+		-DHAVE_PORTAUDIO=$(usex portaudio)
+		-DHAVE_PULSE=$(usex pulseaudio)
+		-DHAVE_VAAPI=$(usex vaapi)
+	)
+
+	cmake_src_configure
+	pushd tools/install_sdk >/dev/null
+	eqmake5
+	popd >/dev/null
+}
+
+src_install() {
+	cmake_src_install
+	emake -C tools/install_sdk INSTALL_ROOT="${ED}" install
+}


             reply	other threads:[~2020-01-26 17:15 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-26 17:15 Johannes Huber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-06-22 18:32 [gentoo-commits] repo/gentoo:master commit in: media-libs/qtav/, media-libs/qtav/files/ Andreas Sturmlechner
2018-09-16  8:17 Andreas Sturmlechner
2017-09-07 21:42 Johannes Huber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1580058930.d5c3e79fc73d87d3adcb0f0b15cba9e4f09c89d8.johu@gentoo \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox